Package twisted :: Package web :: Package woven :: Module form

[frames | no frames]

## Module twisted.web.woven.form

Classes
`_RequestHack` |
`FormDisplayModel` |
`FormErrorModel` |
`FormErrorWidget` |
`FormFillerWidget` |
`FormProcessor` |

Function Summary
| ``registerRenderer`(argumentClass, renderer)` Register a renderer for a given argument class.

Variable Summary
`dict` | `_renderers` = `{}`

Function Details

### registerRenderer(argumentClass, renderer)

Register a renderer for a given argument class.

The renderer function should act in the same way as the 'input_XXX' methods of `FormFillerWidget`.

Variable Details

### _renderers

  Type:
    `dict`
  Value:

        {}

Generated by Epydoc 2.0 on Sat May 15 20:08:33 2004 | http://epydoc.sf.net